aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py3-bottle-websocket
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2019-05-30 18:00:41 -0300
committerLeo <thinkabit.ukim@gmail.com>2019-06-14 08:00:22 -0300
commit54741157c77281a86ae94ba94a47fc4449a15ea6 (patch)
treeee72bf70c9860012e088b663811a55a25a5173a0 /testing/py3-bottle-websocket
parent6c56c529417ff46288e08692a6b2675178081637 (diff)
downloadaports-54741157c77281a86ae94ba94a47fc4449a15ea6.tar.bz2
aports-54741157c77281a86ae94ba94a47fc4449a15ea6.tar.xz
testing/py3-bottle-websocket: rename from py-bottle-websocket
Diffstat (limited to 'testing/py3-bottle-websocket')
-rw-r--r--testing/py3-bottle-websocket/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py3-bottle-websocket/APKBUILD b/testing/py3-bottle-websocket/APKBUILD
new file mode 100644
index 0000000000..0e143ea408
--- /dev/null
+++ b/testing/py3-bottle-websocket/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-bottle-websocket
+_pkgname=bottle-websocket
+pkgver=0.2.8
+pkgrel=0
+pkgdesc="Bottle websocket plugin"
+url="https://pypi.python.org/pypi/bottle-websocket"
+arch="noarch"
+license="MIT"
+depends="python2 py-bottle"
+depends_dev=""
+makedepends="python2-dev py-setuptools"
+install=""
+subpackages=""
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python2 setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="adadc8d5985532b5d3d8fd32b9b3f885 bottle-websocket-0.2.8.tar.gz"
+sha256sums="cdf7f085601c289088f7c041947904f50639d30c8e1500941c12921c0c112a06 bottle-websocket-0.2.8.tar.gz"
+sha512sums="7dfe27b497ffebb08885bdac0f9328f827ed9bc40ebf13c89c9230e82f75ca44cee72d0440d2644e440a541aef73a533d84ef6bad37cb1e8fdc87cadd0e5b4eb bottle-websocket-0.2.8.tar.gz"